Bug 5369 - Problems accessing "Printing Preferences" with special xerox drivers
Problems accessing "Printing Preferences" with special xerox drivers
Status: NEW
Product: Samba 3.6
Classification: Unclassified
Component: Printing
unspecified
x86 Linux
: P3 normal
: ---
Assigned To: printing-maintainers
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 12:10 UTC by Kenneth Floen
Modified: 2013-01-18 15:48 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Floen 2008-04-02 12:10:25 UTC
When sharing a printer driver for point and print through SAMBA, some drivers will work and others not. The problem is when driver has been pulled down to the client, you cannot access printing preferences. I have been trying the xerox 5665 drivers, and they do not work. Basically, I install a print queue on Ubuntu, using CUPS. Then I share the queues via SAMBA, and add a print$ share via which I upload the Xerox drivers (for Windows). When I hook up to the shared network printer from an XP client, SAMBA correctly pushes down the driver and XP creates a print object under "Printers and Faxes", but when I try to access the object's "printing preferences", I get a "Operation could not be completed" message, and am not able to change printer settings. This is not a Xerox driver issue, as the driver works perfectly in a "pure" Windows server/client environment, for which the driver was originally created. So this is an example of SAMBA failing to recreate/emulate said Windows environment. On this note, is all Windows drivers SUPPOSED to work this way with SAMBA? What's your take on 3rd party driver sharing, all your manuals ever talk about is the ADOBE PS driver and the CUPS driver for windows, but you do not mention if you are compatible with other 3rd party drivers for Windows. Thanks for answers.
Comment 1 Darren Naessens 2008-11-29 11:22:29 UTC
Currently running 3.0.30. Will try 3.2.5 on Monday and report back.

(In reply to comment #0)

I have the same problem with a xerox driver. I have 2 different xerox devices. One is five years old (Phaser 7300) and had no driver issues, nor has any other driver for other printers, about 6 or 7 drivers in use which are a mixture of Canon, HP and Epson). 

The other machine is a Xerox 7232 and whichever driver is used (from xerox website), PCL 5 or 6, Postscript or the global driver - all behave in the same fashion of reporting 'operation could not be completed' when trying to view properties or do anything with it. I will have a third xerox machine shortly (couple of weeks) and will see if it's drivers behave in the same way.

I have tried a few things:

* remove tdb files
* remove all printer drivers and reinstall just the xerox driver

This is the first issue I have had on this server (running for over 2 years without issue).

If I install the driver directly onto to a client there are no issues. 

Installing via printing and faxes seems ok no error messages and the log shows the files and status ok for each one. 

When attempting to install the driver onto a client, things start to behave odd and the error message appears.

Trying to view properties on the machine its was installed from the driver does the same thing.

The log appears to show something strange going on:

[2008/11/27 13:02:13, 2] smbd/close.c:close_normal_file(406)
  root closed file W32X86/3/x2txt01.dll (numopen=48) NT_STATUS_OK
[2008/11/27 13:02:13, 2] smbd/open.c:open_file(391)
  Admin opened file W32X86/3/x2utilC7.dll read=Yes write=No (numopen=49)
[2008/11/27 13:02:13, 2] smbd/close.c:close_normal_file(406)
  root closed file W32X86/3/x2utilC7.dll (numopen=48) NT_STATUS_OK
[2008/11/27 13:02:13, 2] smbd/open.c:open_file(391)
  Admin opened file W32X86/3/x2utilC7.dll read=No write=No (numopen=49)
[2008/11/27 13:02:13, 2] smbd/open.c:open_file(391)
  Admin opened file W32X86/3/x2utilC7.dll read=Yes write=No (numopen=50)
[2008/11/27 13:02:13, 2] smbd/close.c:close_normal_file(406)
  root closed file W32X86/3/x2utilC7.dll (numopen=49) NT_STATUS_OK
[2008/11/27 13:02:13, 2] smbd/open.c:open_file(391)
  Admin opened file W32X86/3/x2utilC7.dll read=Yes write=No (numopen=50)
[2008/11/27 13:02:13, 2] smbd/close.c:close_normal_file(406)
  root closed file W32X86/3/x2utilC7.dll (numopen=49) NT_STATUS_OK
[2008/11/27 13:02:13, 2] smbd/open.c:open_file(391)

This occurs when a client tries to view properties or install the driver (repeats for quite a bit for each file related to the driver).

from smb.conf

[printers]
        comment = Network Printers
        path = /var/spool/samba
	public = Yes
        guest ok = Yes
	writeable = Yes
	printable = Yes

[print$]
	comment = Printer Drivers
	path = /etc/samba/drivers
        browseable = Yes
        guest ok = Yes

If further info is required I will be happy to provide it, will try out 3.2.5 on a test machine and report back.








Comment 2 Guenther Deschner 2009-04-29 08:29:52 UTC
Would it also be possible to try the upcoming 3.4 release ? We have reworked the spoolss server quite a bit there.
Comment 3 Darren Naessens 2009-04-29 08:59:01 UTC
(In reply to comment #2)
> Would it also be possible to try the upcoming 3.4 release ? We have reworked
> the spoolss server quite a bit there.
> 

I will try and make time to do this, Is there a 3.4 release date yet?
Comment 4 raouf riahi 2009-04-29 11:28:50 UTC
> I will try and make time to do this, Is there a 3.4 release date yet?


I think the final version 3.4 is available on the site
Comment 5 Volker Lendecke 2009-04-29 11:30:33 UTC
No, that's 3.3.4, not 3.4.

Volker
Comment 6 Kenneth Floen 2009-04-29 11:43:04 UTC
(In reply to comment #2)
> Would it also be possible to try the upcoming 3.4 release ? We have reworked
> the spoolss server quite a bit there.

I am interested in testing this. Can you provide a link to download the source? Thanks.
Comment 7 Karolin Seeger 2009-04-30 03:17:01 UTC
Planned release date for 3.4.0 is July 1, 2009.
3.4.0pre1 will be released today, so you can find that one later on at samba.org.
Comment 8 Darren Naessens 2009-05-28 15:22:13 UTC
I am having trouble compiling 3.4.0pre1 at the moment:
../lib/talloc/talloc.c:50:21: error: replace.h: No such file or directory
Is there a minimum requirement for gcc etc? Running gcc 4.0.2...
Hopefully I will figure it out, get it compiled and report back as requested.
Comment 9 Nec 2009-06-18 08:00:20 UTC
Same issue with three printers : 7232, 3300 and 3600.
Samba 3.0.20.something, so for sure it may not work.

Willing to try with a freshly-compiled samba...
Comment 10 Matthieu Patou 2009-06-18 14:05:52 UTC
Darren could you have a look at this bug : 6296.
https://bugzilla.samba.org/show_bug.cgi?id=6296
It looks like that I had the sames problems with my 7232. I found a trick to make it for in samba 3.3 (and 3.4rc as well).

I talked with  Guenther Deschner and he said that he was working on a solution.
Comment 11 Darren Naessens 2009-06-19 08:45:25 UTC
Thank you Matthieu!

I will have a go at following the same principle behind your workaround to get the other xerox printers working as well. (If I ever get samba to compile correctly!). 

Thanks Guenther for working on solving this permanently.



Comment 12 Stacey 2012-09-09 12:25:15 UTC
All I need are the deleted Text messages